Subject: Re: linux-next: manual merge of the rr tree

From: Rusty Russell <[email-masked]>
Date: Sun, 16 Nov 2008 09:02:52 +1030

On Friday 14 November 2008 17:12:55 David Miller wrote:
> From: Stephen Rothwell <[email-masked]>
> Date: Fri, 14 Nov 2008 16:06:38 +1100
>
> > On Thu, 13 Nov 2008 20:41:21 -0800 (PST) David Miller 
<[email-masked]> wrote:
> > > From: Stephen Rothwell <[email-masked]>
> > > Date: Fri, 14 Nov 2008 15:36:25 +1100
> > >
> > > > The only issue would be if you have patches to remove/rename the
> > > > netdev priv field - they would have to be delayed until after Rusty's
> > > > tree was merged, or someone could submit a trivial patch to Linus to
> > > > do that last netdev_priv() conversion in virtio_net.c and you could
> > > > both rebase/merge that.
> > >
> > > Another option is simply for Rusty to submit his virtio stuff
> > > through my tree.  I'm more than happy to take care of that
> > > as soon as Rusty can put the patches together.
> >
> > I was about to send the below to Linus.  I will hold onto it for a couple
> > of days.
>
> Ok.  We'll try to sort it out.
>
> Rusty, are your changes 2.6.28 bound or -next?

They missed 2.6.28, they're 2.6.29 material.  I've fixed them with s/dev-
>priv/netdev_priv(dev)/, and will send them to netdev now.

Thanks,
Rusty.